<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qtquick-toolbars.qdoc -->
  <title>Using Qt Quick Toolbars | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Using Qt Quick Toolbars</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-indenting-code.html" />
  <link rel="next" href="creator-editor-codepasting.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-indenting-code.html">Indenting Text or Code</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-editor-codepasting.html">Pasting and Fetching Code Snippets</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#previewing-images">Previewing Images</a></li>
<li class="level1"><a href="#formatting-text">Formatting Text</a></li>
<li class="level1"><a href="#previewing-animation">Previewing Animation</a></li>
<li class="level1"><a href="#editing-rectangles">Editing Rectangles</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Using Qt Quick Toolbars</h1>
<span class="subtitle"></span>
<!-- $$$qt-quick-toolbars.html-description -->
<div class="descr"> <a name="details"></a>
<p>When you select a QML type in the code and a toolbar is available, a light bulb icon appears: <img src="images/refactormarker.png" alt="" /> . Select the icon to open the toolbar.</p>
<p>To open toolbars immediately when you select a QML type, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Qt Quick</b> &gt; <b>QML/JS Editing</b> &gt; <b>Always show Qt Quick Toolbar</b>.</p>
<p>Drag the toolbar to pin it to another location. Select <img src="images/qml-toolbar-pin.png" alt="" /> to unpin the toolbar and move it to its default location. To pin toolbars by default, select <b>Pin Quick Toolbar</b>.</p>
<a name="previewing-images"></a>
<h2 id="previewing-images">Previewing Images</h2>
<p>The Qt Quick Toolbar for images allows you to edit the properties of <a href="http://doc.qt.io/qt-5/qml-qtquick-borderimage.html">Border Image</a> and <a href="http://doc.qt.io/qt-5/qml-qtquick-image.html">Image</a> items. You can scale and tile the images, replace them with other images, preview them, and change the image margins.</p>
<p class="centerAlign"><img src="images/qml-toolbar-image.png" alt="&quot;Qt Quick Toolbar for images&quot;" /></p><p>To preview an image, double-click it on the toolbar. In the preview dialog, you can zoom the image. Drag the image margins to change them.</p>
<p class="centerAlign"><img src="images/qml-toolbar-image-preview.png" alt="&quot;Image preview dialog&quot;" /></p><a name="formatting-text"></a>
<h2 id="formatting-text">Formatting Text</h2>
<p>The Qt Quick Toolbar for text allows you to edit the properties of <a href="http://doc.qt.io/qt-5/qml-qtquick-text.html">Text</a> items. You can change the font family and size as well as text formatting, style, alignment, and color.</p>
<p>If a property is assigned an expression instead of a value, you cannot use the toolbar to edit it. The button for editing the property is disabled.</p>
<p class="centerAlign"><img src="images/qml-toolbar-text.png" alt="&quot;Qt Quick Toolbar for text&quot;" /></p><p>By default, font size is specified as pixels. To use points, instead, change <b>px</b> to <b>pt</b> in the size field.</p>
<a name="previewing-animation"></a>
<h2 id="previewing-animation">Previewing Animation</h2>
<p>The Qt Quick Toolbar for animation allows you to edit the properties of <a href="http://doc.qt.io/qt-5/qtquick-animation-example.html#propertyanimation">PropertyAnimation</a> items and the items that inherit it. You can change the easing curve type and duration. For some curves, you can also specify amplitude, period, and overshoot values.</p>
<p class="centerAlign"><img src="images/qml-toolbar-animation.png" alt="&quot;Qt Quick Toolbar for animation&quot;" /></p><p>Select the play button to preview your changes.</p>
<a name="editing-rectangles"></a>
<h2 id="editing-rectangles">Editing Rectangles</h2>
<p>The Qt Quick Toolbar for rectangles allows you to edit the properties of <a href="http://doc.qt.io/qt-5/qml-qtquick-rectangle.html">Rectangle</a> items. You can change the fill and border colors and add gradients.</p>
<p class="centerAlign"><img src="images/qml-toolbar-rectangle.png" alt="&quot;Qt Quick Toolbar for rectangles&quot;" /></p><p>To add gradient stop points, click above the gradient bar. To remove stop points, drag them upwards.</p>
</div>
<!-- @@@qt-quick-toolbars.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-indenting-code.html">Indenting Text or Code</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-editor-codepasting.html">Pasting and Fetching Code Snippets</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
